0
Welcome Guest! Login
0 items Join Now

Gantry 4.1.34 and PHP 7.2.0 problem

    • PSG's Avatar
    • PSG
    • Jr. Rocketeer
    • Posts: 36
    • Thanks: 0

    Gantry 4.1.34 and PHP 7.2.0 problem

    Posted 10 months 2 weeks ago
    • Using PHP 7.2 creates following warnings with Gantry 4.1.34
      Warning: count(): Parameter must be an array or an object that implements Countable in /plugins/system/gantry/gantry.php on line 406
      and
      Warning: count(): Parameter must be an array or an object that implements Countable in /libraries/gantry/core/config/gantryformitem.class.php on line 438
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 78580
    • Thanks: 9745
    • Web Designer/Developer

    Re: Gantry 4.1.34 and PHP 7.2.0 problem

    Posted 10 months 2 weeks ago
    • PHP 7.2.0 was onbly released a few days ago so your're really on the bleeding edge there.

      Nevertheless, Please would you post your URL, superuser id and pswd in the secure tab of your post and I'll have a look for you.

      Also, Please post your FTP logon, password and FTP URL in the secure area of your post.


      Regards, Mark.
    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 78580
    • Thanks: 9745
    • Web Designer/Developer

    Re: Gantry 4.1.34 and PHP 7.2.0 problem

    Posted 10 months 2 weeks ago
    • Having spoken to our DEVS I have now raised a bug ticket for this for them to investigate.

      Regards, Mark.
    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 78580
    • Thanks: 9745
    • Web Designer/Developer

    Re: Gantry 4.1.34 and PHP 7.2.0 problem

    Posted 10 months 2 weeks ago
    • This message contains only secure information that is visible to MrT, moderators and administrators
    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.
    • PSG's Avatar
    • PSG
    • Jr. Rocketeer
    • Posts: 36
    • Thanks: 0

    Re: Gantry 4.1.34 and PHP 7.2.0 problem

    Posted 6 months 5 days ago
    • Any news on this?
      I was just checking for the gantry 4 version, but it is still at 4.1.34
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 78580
    • Thanks: 9745
    • Web Designer/Developer

    Re: Gantry 4.1.34 and PHP 7.2.0 problem

    Posted 6 months 5 days ago
    • No the ticket is outstanding. PHP7.2.x seems to be a bigger issue for us than first thought so this may take some time.

      Regards, Mark.
    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.

Time to create page: 0.154 seconds